Bug 977586 - harness failed to run task: exception while processing peer roles: AttributeError: 'bool' object has no attribute 'items'
harness failed to run task: exception while processing peer roles: AttributeE...
Status: NEW
Product: Beaker
Classification: Community
Component: beah (Show other bugs)
0.12
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: Dan Callaghan
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-24 20:44 EDT by Dan Callaghan
Modified: 2018-02-05 19:41 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Callaghan 2013-06-24 20:44:25 EDT
Description of problem:
The external watchdog triggered on the second task in a recipe with many tasks, even though the recipe appeared to have completed successfully.

Looking in console.log it appears the harness failed to run the task (after rhts-reboot) with the following exception:

2013-06-21 16:00:14,488 backend simple_recipe: ERROR Encoutnered problem while running task '13363603'.  
Traceback (most recent call last):  
  File "/usr/lib/python2.6/site-packages/beah/backends/beakerlc.py", line 510, in simple_recipe  
    result = task.getResult()  
  File "/usr/lib/python2.6/site-packages/twisted/internet/defer.py", line 584, in getResult  
    self.result.raiseException()  
  File "/usr/lib/python2.6/site-packages/twisted/internet/defer.py", line 605, in _deferGenerator  
    result = g.next()  
  File "/usr/lib/python2.6/site-packages/beah/backends/beakerlc.py", line 562, in _run_task  
    for role, hostnames in roles.items():  
AttributeError: 'bool' object has no attribute 'items'  

so the task was never stopped in Beaker and the EWD eventually killed it off.

Version-Release number of selected component (if applicable):
0.12.1

How reproducible:
not reproducible

Steps to Reproduce:
unknown
Comment 2 Dan Callaghan 2013-06-24 20:46:02 EDT
I don't see any way that the server/LC could have returned a bool from get_peer_roles, so I suspect something iffy happened in the harness in this case. The fact that it failed after rhts-reboot in the same task is suspicious.

Note You need to log in before you can comment on or make changes to this bug.